%global release_name havana

Name:		openstack-neutron
Version:	2013.2.4
Release:	6%{?dist}
Provides:	openstack-quantum = %{version}-%{release}
Obsoletes:	openstack-quantum < 2013.2-0.3.b3

Summary:	OpenStack Networking Service

Group:		Applications/System
License:	ASL 2.0
URL:		http://launchpad.net/neutron/

Source0:	http://launchpad.net/neutron/%{release_name}/%{version}/+download/neutron-%{version}.tar.gz
Source1:	neutron.logrotate
Source2:	neutron-sudoers
Source4:	neutron-server-setup
Source5:	neutron-node-setup
Source6:	neutron-dhcp-setup
Source7:	neutron-l3-setup

Source9:    daemon_notify.sh
Source10:	neutron-server.init
Source20:	neutron-server.upstart
Source11:	neutron-linuxbridge-agent.init
Source21:	neutron-linuxbridge-agent.upstart
Source12:	neutron-openvswitch-agent.init
Source22:	neutron-openvswitch-agent.upstart
Source13:	neutron-ryu-agent.init
Source23:	neutron-ryu-agent.upstart
Source14:	neutron-nec-agent.init
Source24:	neutron-nec-agent.upstart
Source15:	neutron-dhcp-agent.init
Source25:	neutron-dhcp-agent.upstart
Source16:	neutron-l3-agent.init
Source26:	neutron-l3-agent.upstart
Source17:	neutron-metadata-agent.init
Source27:	neutron-metadata-agent.upstart
Source18:	neutron-ovs-cleanup.init
Source28:	neutron-ovs-cleanup.upstart
Source19:	neutron-lbaas-agent.init
Source29:	neutron-lbaas-agent.upstart
Source30:	neutron-mlnx-agent.init
Source40:	neutron-mlnx-agent.upstart
Source31:	neutron-vpn-agent.init
Source41:	neutron-vpn-agent.upstart
Source32:	neutron-metering-agent.init
Source42:	neutron-metering-agent.upstart
Source33:   neutron-netns-cleanup.init
Source34:	neutron-agent-watch.init
Source35:   neutron-db-check.init

Source50:   neutron-db-check
Source51:	openstack-neutron.sysconfig

Source90:	neutron-dist.conf

Source100:	neutron-agent-watch
Source101:	agent_watch.ini

#
# patches_base=+4
#
Patch0001: 0001-use-parallel-installed-versions-in-RHEL6.patch
Patch0002: 0002-Remove-dnsmasq-version-warning.patch
Patch0003: 0003-Comment-added-for-quantum-rootwrap-paths-for-filters.patch
Patch0004: 0004-Check-during-db-migration-if-service-tables-exist.patch
Patch0005: 0005-Minimize-polling-by-default.patch
Patch0006: 0006-avoid-changing-the-rule-s-own-action.patch
Patch0007: 0007-Update-lockutils-and-fixture-in-openstack.common.patch
Patch0008: 0008-Squashed-two-commits-copying-cache-from-oslo-incubat.patch
Patch0009: 0009-Need-to-not-have-empty-files-that-are-created-by-bac.patch
Patch0010: 0010-Fix-interprocess-locks-for-run_tests.sh.patch
Patch0011: 0011-Ignore-ipv6-networks-for-older-dnsmasq.patch
Patch0012: 0012-fixes-broken-neutron-netns-cleanup.patch
Patch0013: 0013-L3-Agent-restart-causes-network-outage.patch
Patch0014: 0014-Sync-service-and-systemd-modules-from-oslo-incubator.patch
Patch0015: 0015-Removed-signing_dir-from-neutron.conf.patch
Patch0016: 0016-Adds-https-support-for-metadata-agent.patch
Patch0017: 0017-Add-support-for-https-requests-on-nova-metadata.patch
Patch0018: 0018-Common-decorator-for-caching-methods.patch
Patch0019: 0019-Metadata-agent-caches-networks-for-routers.patch
Patch0020: 0020-Synced-jsonutils-from-oslo-incubator.patch
Patch0021: 0021-Qpid-explicitly-name-subscription-queue.patch
Patch0022: 0022-Forbid-regular-users-to-reset-admin-only-attrs-to-de.patch
Patch0023: 0023-Fix-metadata-agent-s-auth-info-caching.patch
Patch0024: 0024-Fix-hostname-regex-pattern.patch
Patch0025: 0025-Fix-hostname-validation-for-nameservers.patch

BuildArch:	noarch

BuildRequires:	python2-devel
BuildRequires:	python-setuptools
# Build require these parallel versions
# as setup.py build imports neutron.openstack.common.setup
# which will then check for these
BuildRequires:	python-sqlalchemy0.7
BuildRequires:	python-webob1.2
BuildRequires:	python-paste-deploy1.5
BuildRequires:	python-routes1.12
BuildRequires:  python-jinja2-26
BuildRequires:	dos2unix
BuildRequires:	python-pbr
BuildRequires:	python-d2to1


Requires:	dnsmasq-utils
Requires:	iproute >= 2.6.32-130
Requires:	python-neutron = %{version}-%{release}
Requires:	openstack-utils
Requires:	python-keystone
Requires:	python-pbr
Requires:	python-simplejson
Requires:	python-stevedore

Requires(post):		chkconfig
Requires(postun):	initscripts
Requires(preun):	chkconfig
Requires(preun):	initscripts
Requires(pre):		shadow-utils

# for daemon_notify
Requires: /usr/bin/uuidgen
Requires: /bin/sleep

# dnsmasq is not a hard requirement, but is currently the only option
# when neutron-dhcp-agent is deployed.
Requires:	dnsmasq


%description
Neutron is a virtual network service for Openstack. Just like
OpenStack Nova provides an API to dynamically request and configure
virtual servers, Neutron provides an API to dynamically request and
configure virtual networks. These networks connect "interfaces" from
other OpenStack services (e.g., virtual NICs from Nova VMs). The
Neutron API supports extensions to provide advanced network
capabilities (e.g., QoS, ACLs, network monitoring, etc.)


%package -n python-neutron
Summary:	Neutron Python libraries
Group:		Applications/System

Provides:	python-quantum = %{version}-%{release}
Obsoletes:	python-quantum < 2013.2-0.3.b3

Requires:	MySQL-python
Requires:	python-alembic
#Requires:	python-amqplib
Requires:	python-anyjson
Requires:	python-babel
Requires:	python-eventlet
Requires:	python-greenlet
Requires:	python-httplib2
Requires:	python-iso8601
Requires:	python-jinja2-26
Requires:	python-keystoneclient
#Requires:	python-kombu
Requires:	python-lxml
Requires:	python-paste-deploy1.5
Requires:	python-routes1.12
Requires:	python-sqlalchemy0.7
Requires:	python-webob1.2
Requires:	python-netaddr
Requires:	python-oslo-config >= 1:1.2.0
Requires:	python-qpid
Requires:	python-neutronclient >= 2.3.4
Requires:	sudo

%description -n python-neutron
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron Python library.


%package -n openstack-neutron-bigswitch
Summary:	Neutron Big Switch plugin
Group:		Applications/System

Provides:	openstack-quantum-bigswitch = %{version}-%{release}
Obsoletes:	openstack-quantum-bigswitch < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-bigswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the FloodLight Openflow Controller or the Big Switch
Networks Controller.


%package -n openstack-neutron-brocade
Summary:	Neutron Brocade plugin
Group:		Applications/System

Provides:	openstack-quantum-brocade = %{version}-%{release}
Obsoletes:	openstack-quantum-brocade < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-brocade
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Brocade VCS switches running NOS.


%package -n openstack-neutron-cisco
Summary:	Neutron Cisco plugin
Group:		Applications/System

Provides:	openstack-quantum-cisco = %{version}-%{release}
Obsoletes:	openstack-quantum-cisco < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}
Requires:	python-configobj


%description -n openstack-neutron-cisco
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Cisco UCS and Nexus.


%package -n openstack-neutron-hyperv
Summary:	Neutron Hyper-V plugin
Group:		Applications/System

Provides:	openstack-quantum-hyperv = %{version}-%{release}
Obsoletes:	openstack-quantum-hyperv < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-hyperv
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Microsoft Hyper-V.


%package -n openstack-neutron-linuxbridge
Summary:	Neutron linuxbridge plugin
Group:		Applications/System

Provides:	openstack-quantum-linuxbridge = %{version}-%{release}
Obsoletes:	openstack-quantum-linuxbridge < 2013.2-0.3.b3

Requires:	bridge-utils
Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-linuxbridge
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks as VLANs using Linux bridging.


%package -n openstack-neutron-midonet
Summary:	Neutron MidoNet plugin
Group:		Applications/System

Provides:	openstack-quantum-midonet = %{version}-%{release}
Obsoletes:	openstack-quantum-midonet < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-midonet
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using MidoNet from Midokura.


%package -n openstack-neutron-ml2
Summary:	Neutron ML2 plugin
Group:		Applications/System

Provides:	openstack-quantum-ml2 = %{version}-%{release}
Obsoletes:	openstack-quantum-ml2 < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-ml2
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains a neutron plugin that allows the use of drivers
to support separately extensible sets of network types and the mechanisms
for accessing those types.


%package -n openstack-neutron-mellanox
Summary:	Neutron Mellanox plugin
Group:		Applications/System

Provides:	openstack-quantum-mellanox = %{version}-%{release}
Obsoletes:	openstack-quantum-mellanox < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-mellanox
This plugin implements Neutron v2 APIs with support for Mellanox embedded
switch functionality as part of the VPI (Ethernet/InfiniBand) HCA.


%package -n openstack-neutron-nicira
Summary:	Neutron Nicira plugin
Group:		Applications/System

Provides:	openstack-quantum-nicira = %{version}-%{release}
Obsoletes:	openstack-quantum-nicira < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-nicira
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Nicira NVP.


%package -n openstack-neutron-openvswitch
Summary:	Neutron openvswitch plugin
Group:		Applications/System

Provides:	openstack-quantum-openvswitch = %{version}-%{release}
Obsoletes:	openstack-quantum-openvswitch < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}
Requires:	openvswitch


%description -n openstack-neutron-openvswitch
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using Open vSwitch.


%package -n openstack-neutron-plumgrid
Summary:	Neutron PLUMgrid plugin
Group:		Applications/System

Provides:	openstack-quantum-plumgrid = %{version}-%{release}
Obsoletes:	openstack-quantum-plumgrid < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-plumgrid
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the PLUMgrid platform.


%package -n openstack-neutron-ryu
Summary:	Neutron Ryu plugin
Group:		Applications/System

Provides:	openstack-quantum-ryu = %{version}-%{release}
Obsoletes:	openstack-quantum-ryu < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-ryu
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the Ryu Network Operating System.


%package -n openstack-neutron-nec
Summary:	Neutron NEC plugin
Group:		Applications/System

Provides:	openstack-quantum-nec = %{version}-%{release}
Obsoletes:	openstack-quantum-nec < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-nec
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using the NEC OpenFlow controller.


%package -n openstack-neutron-metaplugin
Summary:	Neutron meta plugin
Group:		Applications/System

Provides:	openstack-quantum-metaplugin = %{version}-%{release}
Obsoletes:	openstack-quantum-metaplugin < 2013.2-0.3.b3

Requires:	openstack-neutron = %{version}-%{release}


%description -n openstack-neutron-metaplugin
Neutron provides an API to dynamically request and configure virtual
networks.

This package contains the neutron plugin that implements virtual
networks using multiple other neutron plugins.


%package -n openstack-neutron-metering-agent
Summary:	Neutron bandwidth metering agent
Group:		Applications/System

Requires:	openstack-neutron = %{version}-%{release}

%description -n openstack-neutron-metering-agent
Neutron provides an API to measure bandwidth utilization

This package contains the neutron agent responsible for generating bandwidth
utilization notifications.

%package -n openstack-neutron-vpn-agent
Summary:	Neutron VPNaaS agent
Group:		Applications/System

Requires:	openstack-neutron = %{version}-%{release}

%description -n openstack-neutron-vpn-agent
Neutron provides an API to implement VPN as a service

This package contains the neutron agent responsible for implenting VPNaaS with
IPSec.


%prep
%setup -q -n neutron-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1

find neutron -name \*.py -exec sed -i '/\/usr\/bin\/env python/{d;q}' {} +

# Ensure SOURCES.txt ends in a newline and if any patches have added files, append them to SOURCES.txt
[ -n "$(tail -c 1 < neutron.egg-info/SOURCES.txt)" ] && echo >> neutron.egg-info/SOURCES.txt
awk '/^new file/ {split(a,files," ");print substr(files[3],3)} {a = $0}' %{_sourcedir}/*.patch >> neutron.egg-info/SOURCES.txt

chmod 644 neutron/plugins/cisco/README

# Let's handle dependencies ourseleves
rm -f requirements.txt

%build
%{__python} setup.py build

# Loop through values in neutron-dist.conf and make sure that the values
# are substituted into the neutron.conf as comments. Some of these values
# will have been uncommented as a way of upstream setting defaults outside
# of the code. For service_provider and notification-driver, there are
# commented examples above uncommented settings, so this specifically
# skips those comments and instead comments out the actual settings and
# substitutes the correct default values.
while read name eq value; do
  test "$name" && test "$value" || continue
  if [ "$name" = "service_provider" -o "$name" = "notification_driver" ]; then
    sed -ri "0,/^$name *=/{s!^$name *=.*!# $name = $value!}" etc/neutron.conf
  else
    sed -ri "0,/^(#)? *$name *=/{s!^(#)? *$name *=.*!# $name = $value!}" etc/neutron.conf
  fi
done < %{SOURCE90}

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/bin
rm -rf %{buildroot}%{python_sitelib}/doc
rm -rf %{buildroot}%{python_sitelib}/tools
rm -rf %{buildroot}%{python_sitelib}/neutron/tests
rm -rf %{buildroot}%{python_sitelib}/neutron/plugins/*/tests
rm -f %{buildroot}%{python_sitelib}/neutron/plugins/*/run_tests.*
rm %{buildroot}/usr/etc/init.d/neutron-server

# Move rootwrap files to proper location
install -d -m 755 %{buildroot}%{_datarootdir}/neutron/rootwrap
mv %{buildroot}/usr/etc/neutron/rootwrap.d/*.filters %{buildroot}%{_datarootdir}/neutron/rootwrap

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron
mv %{buildroot}/usr/etc/neutron/* %{buildroot}%{_sysconfdir}/neutron
install -m 640 %{SOURCE101} %{buildroot}%{_sysconfdir}/neutron/agent_watch.ini
chmod 640  %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini

# TODO: remove this once those files are separately packaged
rm %{buildroot}%{_sysconfdir}/neutron/plugins/embrane/heleos_conf.ini

# Install logrotate
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-neutron

# Install sudoers
install -p -D -m 440 %{SOURCE2} %{buildroot}%{_sysconfdir}/sudoers.d/neutron

# Install sysv init scripts
install -p -D -m 755 %{SOURCE10} %{buildroot}%{_initrddir}/neutron-server
install -p -D -m 755 %{SOURCE11} %{buildroot}%{_initrddir}/neutron-linuxbridge-agent
install -p -D -m 755 %{SOURCE12} %{buildroot}%{_initrddir}/neutron-openvswitch-agent
install -p -D -m 755 %{SOURCE13} %{buildroot}%{_initrddir}/neutron-ryu-agent
install -p -D -m 755 %{SOURCE14} %{buildroot}%{_initrddir}/neutron-nec-agent
install -p -D -m 755 %{SOURCE15} %{buildroot}%{_initrddir}/neutron-dhcp-agent
install -p -D -m 755 %{SOURCE16} %{buildroot}%{_initrddir}/neutron-l3-agent
install -p -D -m 755 %{SOURCE17} %{buildroot}%{_initrddir}/neutron-metadata-agent
install -p -D -m 755 %{SOURCE18} %{buildroot}%{_initrddir}/neutron-ovs-cleanup
install -p -D -m 755 %{SOURCE19} %{buildroot}%{_initrddir}/neutron-lbaas-agent
install -p -D -m 755 %{SOURCE30} %{buildroot}%{_initrddir}/neutron-mlnx-agent
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_initrddir}/neutron-vpn-agent
install -p -D -m 755 %{SOURCE32} %{buildroot}%{_initrddir}/neutron-metering-agent
install -p -D -m 755 %{SOURCE33} %{buildroot}%{_initrddir}/neutron-netns-cleanup
install -p -D -m 755 %{SOURCE34} %{buildroot}%{_initrddir}/neutron-agent-watch
install -p -D -m 755 %{SOURCE35} %{buildroot}%{_initrddir}/neutron-db-check

# Setup directories
install -d -m 755 %{buildroot}%{_datadir}/neutron
install -d -m 755 %{buildroot}%{_sharedstatedir}/neutron
install -d -m 755 %{buildroot}%{_localstatedir}/log/neutron
install -d -m 755 %{buildroot}%{_localstatedir}/run/neutron

# Install setup helper scripts
install -p -D -m 755 %{SOURCE4} %{buildroot}%{_bindir}/neutron-server-setup
install -p -D -m 755 %{SOURCE5} %{buildroot}%{_bindir}/neutron-node-setup
install -p -D -m 755 %{SOURCE6} %{buildroot}%{_bindir}/neutron-dhcp-setup
install -p -D -m 755 %{SOURCE7} %{buildroot}%{_bindir}/neutron-l3-setup

# Install upstart jobs examples
install -p -m 644 %{SOURCE20} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE21} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE22} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE23} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE24} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE25} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE26} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE27} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE28} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE29} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE40} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE41} %{buildroot}%{_datadir}/neutron/
install -p -m 644 %{SOURCE42} %{buildroot}%{_datadir}/neutron/

# Install service readiness wrapper
install -p -D -m 755 %{SOURCE9} %{buildroot}%{_datadir}/neutron/daemon_notify.sh

# Install dist conf
install -p -D -m 640 %{SOURCE90} %{buildroot}%{_datadir}/neutron/neutron-dist.conf

# Install neutron-db-check
install -m 755 %{SOURCE50} %{buildroot}%{_bindir}/neutron-db-check
install -d -m 755 %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE51} %{buildroot}%{_sysconfdir}/sysconfig/openstack-neutron

# Install neutron-agent-watch workaround (HA)
install -m 755 %{SOURCE100} %{buildroot}%{_bindir}/neutron-agent-watch

# Install version info file
cat > %{buildroot}%{_sysconfdir}/neutron/release <<EOF
[Neutron]
vendor = Red Hat Inc.
product = OpenStack Neutron
package = %{release}
EOF

%pre
getent group neutron >/dev/null || groupadd -r neutron
getent passwd neutron >/dev/null || \
    useradd -r -g neutron -d %{_sharedstatedir}/neutron -s /sbin/nologin \
    -c "OpenStack Neutron Daemons" neutron
exit 0


%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-server
    for agent in dhcp l3 metadata lbaas; do
      /sbin/chkconfig --add neutron-$agent-agent
    done
fi

# always add the services which weren't there from the first spec conception
# multiple --add is safe, and doesn't change the on/off status (fabbione)
/sbin/chkconfig --add neutron-agent-watch
/sbin/chkconfig --add neutron-db-check
/sbin/chkconfig --add neutron-ovs-cleanup
/sbin/chkconfig --add neutron-netns-cleanup

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-server stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-server
    for agent in dhcp l3 metadata lbaas; do
      /sbin/service neutron-$agent-agent stop >/dev/null 2>&1
      /sbin/chkconfig --del neutron-$agent-agent
    done
    /sbin/service neutron-agent-watch stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-agent-watch
    /sbin/chkconfig --del neutron-db-check
    /sbin/chkconfig --del neutron-ovs-cleanup
    /sbin/chkconfig --del neutron-netns-cleanup
fi

%postun
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-server condrestart >/dev/null 2>&1 || :
    for agent in dhcp l3 metadata lbaas; do
      /sbin/service neutron-$agent-agent condrestart >/dev/null 2>&1 || :
    done

    /sbin/service neutron-agent-watch condrestart >/dev/null 2>&1 || :
    /sbin/service neutron-db-check condrestart >/dev/null 2>&1 || :

    if [ -f /etc/sudoers.d/neutron ]; then
        rm -f /etc/sudoers.d/quantum
    fi
fi


%pretrans
if rpm --quiet -q openstack-quantum; then
    mkdir -p  %{_localstatedir}/lib/rpm-state/

    # Create a script for restoring init script enabling that we can also
    # use as a flag to detect quantum -> grizzly upgrades in %posttrans
    chkconfig --type sysv --list|grep ^quantum| \
      sed -re 's/[0-6]:off//g
               s/([0-6]):on\s*/\1/g
               s/quantum/neutron/g
               s/^([a-z0-9-]+)\s+$/chkconfig \1 off/
               s/^([a-z0-9-]+)\s+([0-6]+)/chkconfig --levels \2 \1 on/' > %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM
fi

%posttrans
# Handle migration from quantum -> neutron
if [ -e %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM ];then
    # Migrate existing config files
    for i in `find /etc/quantum -name *.rpmsave`;do
        new=${i//quantum/neutron}
        new=${new/%.rpmsave/}
        sed -e '/^sql_connection/ b
                /^admin_user/ b
                s/quantum.plugins.services.agent_loadbalancer/neutron.services.loadbalancer/g
                s/quantum/neutron/g
                s/Quantum/Neutron/g' $i > $new
    done

    # Re-create plugin.ini if it existed.
    if [ -h %{_sysconfdir}/quantum/plugin.ini.rpmsave ];then
        plugin_ini=$(readlink %{_sysconfdir}/quantum/plugin.ini.rpmsave)
        ln -sf ${plugin_ini//quantum/neutron} %{_sysconfdir}/neutron/plugin.ini
    fi

    # Stamp the existing db as grizzly to enable manual database schema
    # migration after the upgrade.
    neutron-db-manage --config-file %{_sysconfdir}/neutron/neutron.conf \
        --config-file %{_sysconfdir}/neutron/plugin.ini stamp grizzly || :

    # Restore the enablement of the various neutron services
    source %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM

    rm -f %{_localstatedir}/lib/rpm-state/UPGRADE_FROM_QUANTUM
fi


%post -n openstack-neutron-linuxbridge
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-linuxbridge-agent
fi

%preun -n openstack-neutron-linuxbridge
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-linuxbridge-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-linuxbridge-agent
fi

%postun -n openstack-neutron-linuxbridge
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-linuxbridge-agent condrestart >/dev/null 2>&1 || :
fi


%post -n openstack-neutron-openvswitch
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-openvswitch-agent
fi

%preun -n openstack-neutron-openvswitch
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-openvswitch-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-openvswitch-agent
fi

%postun -n openstack-neutron-openvswitch
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-openvswitch-agent condrestart >/dev/null 2>&1 || :
fi


%post -n openstack-neutron-ryu
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-ryu-agent
fi

%preun -n openstack-neutron-ryu
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-ryu-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-ryu-agent
fi

%postun -n openstack-neutron-ryu
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-ryu-agent condrestart >/dev/null 2>&1 || :
fi


%post -n openstack-neutron-nec
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-nec-agent
fi

%preun -n openstack-neutron-nec
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-nec-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-nec-agent
fi


%postun -n openstack-neutron-nec
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-nec-agent condrestart >/dev/null 2>&1 || :
fi


%post -n openstack-neutron-mellanox
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-mlnx-agent
fi

%preun -n openstack-neutron-mellanox
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-mlnx-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-mlnx-agent
fi

%postun -n openstack-neutron-mellanox
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-mlnx-agent condrestart >/dev/null 2>&1 || :
fi


%post -n openstack-neutron-vpn-agent
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-vpn-agent
fi

%preun -n openstack-neutron-vpn-agent
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-vpn-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-vpn-agent
fi

%postun -n openstack-neutron-vpn-agent
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-vpn-agent condrestart >/dev/null 2>&1 || :
fi


%post -n openstack-neutron-metering-agent
if [ $1 -eq 1 ] ; then
    # Initial installation
    /sbin/chkconfig --add neutron-metering-agent
fi

%preun -n openstack-neutron-metering-agent
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /sbin/service neutron-metering-agent stop >/dev/null 2>&1
    /sbin/chkconfig --del neutron-metering-agent
fi

%postun -n openstack-neutron-metering-agent
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /sbin/service neutron-metering-agent condrestart >/dev/null 2>&1 || :
fi

%files
%doc LICENSE
%doc README.rst
%{_bindir}/quantum-db-manage
%{_bindir}/quantum-debug
%{_bindir}/quantum-dhcp-agent
%{_bindir}/quantum-l3-agent
%{_bindir}/quantum-lbaas-agent
%{_bindir}/quantum-metadata-agent
%{_bindir}/quantum-netns-cleanup
%{_bindir}/quantum-ns-metadata-proxy
%{_bindir}/quantum-rootwrap
%{_bindir}/quantum-rootwrap-xen-dom0
%{_bindir}/quantum-server
%{_bindir}/quantum-usage-audit

%{_bindir}/neutron-db-manage
%{_bindir}/neutron-debug
%{_bindir}/neutron-dhcp-agent
%{_bindir}/neutron-dhcp-setup
%{_bindir}/neutron-l3-agent
%{_bindir}/neutron-l3-setup
%{_bindir}/neutron-lbaas-agent
%{_bindir}/neutron-metadata-agent
%{_bindir}/neutron-netns-cleanup
%{_bindir}/neutron-node-setup
%{_bindir}/neutron-ns-metadata-proxy
%{_bindir}/neutron-rootwrap
%{_bindir}/neutron-rootwrap-xen-dom0
%{_bindir}/neutron-server
%{_bindir}/neutron-server-setup
%{_bindir}/neutron-usage-audit
%{_bindir}/neutron-db-check
%{_bindir}/neutron-agent-watch

%{_initrddir}/neutron-server
%{_initrddir}/neutron-dhcp-agent
%{_initrddir}/neutron-l3-agent
%{_initrddir}/neutron-metadata-agent
%{_initrddir}/neutron-ovs-cleanup
%{_initrddir}/neutron-netns-cleanup
%{_initrddir}/neutron-lbaas-agent
%{_initrddir}/neutron-agent-watch
%{_initrddir}/neutron-db-check
%dir %{_datadir}/neutron
%{_datadir}/neutron/neutron-server.upstart
%{_datadir}/neutron/neutron-dhcp-agent.upstart
%{_datadir}/neutron/neutron-metadata-agent.upstart
%{_datadir}/neutron/neutron-l3-agent.upstart
%{_datadir}/neutron/neutron-lbaas-agent.upstart
%{_datadir}/neutron/daemon_notify.sh
%dir %{_sysconfdir}/neutron
%{_sysconfdir}/neutron/release
%attr(-, root, neutron) %{_datadir}/neutron/neutron-dist.conf
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/api-paste.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/dhcp_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/fwaas_driver.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/l3_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/metadata_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/lbaas_agent.ini
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/policy.json
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/neutron.conf
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/agent_watch.ini
%config(noreplace) %{_sysconfdir}/neutron/rootwrap.conf
%config %{_sysconfdir}/sysconfig/openstack-neutron
%dir %{_sysconfdir}/neutron/plugins
%config(noreplace) %{_sysconfdir}/logrotate.d/*
%config %{_sysconfdir}/sudoers.d/neutron
%dir %attr(0755, neutron, neutron) %{_sharedstatedir}/neutron
%dir %attr(0755, neutron, neutron) %{_localstatedir}/log/neutron
%dir %attr(0755, neutron, neutron) %{_localstatedir}/run/neutron
%dir %{_datarootdir}/neutron/rootwrap
%{_datarootdir}/neutron/rootwrap/debug.filters
%{_datarootdir}/neutron/rootwrap/dhcp.filters
%{_datarootdir}/neutron/rootwrap/iptables-firewall.filters
%{_datarootdir}/neutron/rootwrap/l3.filters
%{_datarootdir}/neutron/rootwrap/lbaas-haproxy.filters


%files -n python-neutron
%doc LICENSE
%doc README.rst
%{python_sitelib}/neutron
%{python_sitelib}/quantum
%{python_sitelib}/neutron-%%{version}*.egg-info


%files -n openstack-neutron-bigswitch
%doc LICENSE
%doc neutron/plugins/bigswitch/README
%dir %{_sysconfdir}/neutron/plugins/bigswitch
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/bigswitch/*.ini


%files -n openstack-neutron-brocade
%doc LICENSE
%doc neutron/plugins/brocade/README.md
%dir %{_sysconfdir}/neutron/plugins/brocade
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/brocade/*.ini


%files -n openstack-neutron-cisco
%doc LICENSE
%doc neutron/plugins/cisco/README
%dir %{_sysconfdir}/neutron/plugins/cisco
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/cisco/*.ini


%files -n openstack-neutron-hyperv
%doc LICENSE
#%%doc neutron/plugins/hyperv/README
%{_bindir}/neutron-hyperv-agent
%{_bindir}/quantum-hyperv-agent
%dir %{_sysconfdir}/neutron/plugins/hyperv
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/hyperv/*.ini


%files -n openstack-neutron-linuxbridge
%doc LICENSE
%doc neutron/plugins/linuxbridge/README
%{_bindir}/neutron-linuxbridge-agent
%{_bindir}/quantum-linuxbridge-agent
%{_initrddir}/neutron-linuxbridge-agent
%{_datadir}/neutron/neutron-linuxbridge-agent.upstart
%{_datarootdir}/neutron/rootwrap/linuxbridge-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/linuxbridge
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/linuxbridge/*.ini


%files -n openstack-neutron-midonet
%doc LICENSE
#%%doc neutron/plugins/midonet/README
%dir %{_sysconfdir}/neutron/plugins/midonet
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/midonet/*.ini


%files -n openstack-neutron-ml2
%doc LICENSE
%doc neutron/plugins/ml2/README
%dir %{_sysconfdir}/neutron/plugins/ml2
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ml2/*.ini


%files -n openstack-neutron-mellanox
%doc LICENSE
%doc neutron/plugins/mlnx/README
%{_bindir}/neutron-mlnx-agent
%{_bindir}/quantum-mlnx-agent
%{_initrddir}/neutron-mlnx-agent
%{_datadir}/neutron/neutron-mlnx-agent.upstart
%dir %{_sysconfdir}/neutron/plugins/mlnx
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/mlnx/*.ini


%files -n openstack-neutron-nicira
%doc LICENSE
%doc neutron/plugins/nicira/README
%{_bindir}/neutron-check-nvp-config
%{_bindir}/quantum-check-nvp-config
%dir %{_sysconfdir}/neutron/plugins/nicira
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/nicira/*.ini


%files -n openstack-neutron-openvswitch
%doc LICENSE
%doc neutron/plugins/openvswitch/README
%{_bindir}/neutron-openvswitch-agent
%{_bindir}/quantum-openvswitch-agent
%{_bindir}/neutron-ovs-cleanup
%{_bindir}/quantum-ovs-cleanup
%{_initrddir}/neutron-openvswitch-agent
%{_datadir}/neutron/neutron-openvswitch-agent.upstart
%{_initrddir}/neutron-ovs-cleanup
%{_datadir}/neutron/neutron-ovs-cleanup.upstart
%{_datarootdir}/neutron/rootwrap/openvswitch-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/openvswitch
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/openvswitch/*.ini


%files -n openstack-neutron-plumgrid
%doc LICENSE
%doc neutron/plugins/plumgrid/README
%dir %{_sysconfdir}/neutron/plugins/plumgrid
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/plumgrid/*.ini


%files -n openstack-neutron-ryu
%doc LICENSE
%doc neutron/plugins/ryu/README
%{_bindir}/neutron-ryu-agent
%{_bindir}/quantum-ryu-agent
%{_initrddir}/neutron-ryu-agent
%{_datadir}/neutron/neutron-ryu-agent.upstart
%{_datarootdir}/neutron/rootwrap/ryu-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/ryu
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/ryu/*.ini


%files -n openstack-neutron-nec
%doc LICENSE
%doc neutron/plugins/nec/README
%{_bindir}/neutron-nec-agent
%{_bindir}/quantum-nec-agent
%{_initrddir}/neutron-nec-agent
%{_datadir}/neutron/neutron-nec-agent.upstart
%{_datarootdir}/neutron/rootwrap/nec-plugin.filters
%dir %{_sysconfdir}/neutron/plugins/nec
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/nec/*.ini


%files -n openstack-neutron-metaplugin
%doc LICENSE
%doc neutron/plugins/metaplugin/README
%dir %{_sysconfdir}/neutron/plugins/metaplugin
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/metaplugin/*.ini


%files -n openstack-neutron-metering-agent
%doc LICENSE
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/metering_agent.ini
%{_initrddir}/neutron-metering-agent
%{_datadir}/neutron/neutron-metering-agent.upstart
%{_bindir}/neutron-metering-agent


%files -n openstack-neutron-vpn-agent
%doc LICENSE
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/vpn_agent.ini
%{_initrddir}/neutron-vpn-agent
%{_datadir}/neutron/neutron-vpn-agent.upstart
%{_bindir}/neutron-vpn-agent
%{_datarootdir}/neutron/rootwrap/vpnaas.filters


%changelog
* Thu Jan 08 2015 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.4-6
- Fix hostname validation for nameservers, rhbz#1168800
- Fix hostname regex pattern, rhbz#1168800

* Tue Oct 07 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.4-5
- Fix metadata agent's auth info caching, rhbz#1139047

* Mon Sep 29 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.4-4
- Forbid regular users to reset admin-only attrs to default values, rhbz#1147185

* Mon Sep 29 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.4-3
- enforce force_gateway_on_subnet=True in neutron-dist.conf, rhbz#1090553

* Mon Sep 29 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.4-2
- Qpid: explicitly name subscription queue, rhbz#1102910

* Wed Sep 24 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.4-1
- Update to upstream 2013.2.4, rhbz#1146091

* Wed Sep 17 2014 Miguel Ángel Ajo <majopela@redhat.com> 2013.2.3-17
- fixes the neutron-agent-watch failure when deleting a network
  rhbz#1090421

* Tue Aug 05 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-16
- no quota for allowed address pair, rhbz#1125946
- Use simplejson instead of stdlib json module, rhbz#1113104

* Wed Jul 16 2014 Miguel Ángel Ajo <majopela@redhat.com> 2013.2.3-15
- Moved all plugin sources to python-neutron to avoid breaking
  hidden upstream dependencies from agents to plugins, etc.
  fixes rhbz#1120146
- Removed the hyper-v agent exclude.
- Added a few LICENSE files to packages that missed it.

* Wed Jul 02 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-14
- Make sure sudoers file is updated on package upgrade, rhbz#1115406

* Wed Jul 02 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-13
- Don't "fix" sudoers file on upgrade. Instead, allow users to merge any
  new changes to the file, rhbz#1115406

* Tue Jul 01 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-12
- Install SNAT rules for ipv4 only, rhbz#1114782

* Mon Jun 23 2014 Jakub Libosvar <jlibosva@redhat.com> - 2013.2.3-11
- Removed singleton client in metadata agent (rhbz#1065412)

* Tue May 20 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-10
- netaddr<=0.7.10 raises ValueError instead of AddrFormatError, rhbz#1099099
- Validate CIDR given as ip-prefix in security-group-rule-create, rhbz#1099099

* Thu May 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-9
- Make neutron-vpn-agent read fwaas_driver.ini, rhbz#1098578

* Thu May 15 2014 Ihar Hrachyshka <ihrachys@redhat.com> 2013.2.3-8
- Removed signing_dir from neutron.conf (rhbz#1050962)
- Removed Arista patch that is only needed for CI

* Fri Apr 25 2014 Alan Pevec <apevec@redhat.com> - 2013.2.3-7
- avoid duplicate logging in startup log

* Tue Apr 22 2014 Terry Wilson <twilson@redhat.com> - 2013.2.3-6
- Update ensure()/reconnect() to catch MessagingError bz#1086077

* Tue Apr 15 2014 Alan Pevec <apevec@redhat.com> - 2013.2.3-5
- use systemd style readiness notification to signal when daemon is ready
  and avoid premature return from "daemon" command. bz#1036515

* Mon Apr 14 2014 Ian Wienand <iwienand@redhat.com> - 2013.2.3-4
- Fix daemon pids file not being written when system has a full /var.
  This bug resulted in several agents of the same type getting started
  together. bz#1076994

* Tue Apr 08 2014 Miguel Ángel ajo <majopela@redhat.com> - 2013.2.3-3
- Bump python-neutronclient requirement to 2.3.4 from rebase
  requirements rhbz#1084535

* Mon Apr 07 2014 Ihar Hrachyshka <ihrachys@redhat.com> - 2013.2.3-2
- Don't set signing_dir in neutron-dist.conf - rhbz#1050962

* Fri Apr 04 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2013.2.3-1
- Updated to havana stable release 2013.2.3 - rhbz#1084535

* Fri Apr 04 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2013.2.2-10
- Reduced debug logging output (backport)
- Include cisco plugin in migration plugins with ovs fixes bz#1080071
- Fixed L3 Agent restart causing network outages, backported: optionally
  delete namespaces when they're no longer needed bz#1081159

* Thu Apr 03 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2013.2.2-9
- Included neutron-db-check service for use with pacemaker, to avoid
  neutron-server from starting until the database is ready.
  Fixes bz#1060709

* Thu Apr 03 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2013.2.2-8
- Included neutron-agent-watch workaround for bz#1051444, allowing
  the detection of internal problems in the neutron-dhcp-agent and
  neutron-l3-agent.

* Wed Apr 02 2014 Miguel Ángel Ajo <majopela@redhat.com> - 2013.2.2-7
- Include the netns cleanup init script, and fixes the ovs cleanup script,
  fixing bz#1051028 and bz#1051036
- Fixes bz#1077487 ; dnsmasq can't handle IPv6 and triggers constant
  DHCP resyncs

* Wed Mar 12 2014 Terry Wilson <twilson@redhat.com> - 2013.2.2-6
- Fix sudoers.d on upgrade, rhbz#1039817

* Tue Mar 11 2014 Miguel Angel Ajo <majopela@redhat.com> - 2013.2.2-5
- Added iproute dependency on >= 2.6.32-130 to enforce the openstack
  netns version of iproute. fixes rhbz#1070755

* Mon Mar 10 2014 Miguel Angel Ajo <majopela@redhat.com> - 2013.2.2-4
- A3 release
- FWaaS iptable rules applied to all routers now
- Fixes bz#1065412, avoid neutron-metadata-agent doing duplicate calls
  to neutron-server at every instance boot.

* Mon Mar 10 2014 Jakub Libosvar <jlibosva@redhat.com> - 2013.2.2-3
- Change path for loadbalancer packages, bz#1071891 

* Mon Mar 03 2014 Terry Wilson <twilson@redhat.com> - 2013.2.2-2
- Add python-stevedore Requires, rhbz#1072078
- Remove python-pyudev Requires, rhbz#1072084

* Fri Feb 14 2014 Miguel Angel Ajo <majopela@redhat.com> - 2013.2.2-1
- Update to Havana stable release 2013.2.2 - rhbz#1065280
- Send DHCP notifications regardless of agent status

* Mon Jan 27 2014 Jakub Libosvar <jlibosva@redhat.com> - 2013.2.1-6
- Comment added for quantum rootwrap paths for filters, bz#1025570
- Skip drop of service tables if they don't exist, bz#1056890

* Fri Jan 24 2014 Lars Kellogg-Stedman <lars@redhat.com> - 2013.2.1-5
- Fix upgrade of quantum.conf to neutron.conf when using
  loadbalancer plugin, bz#1056887

* Thu Jan 16 2014 Terry Wilson <twilson@redhat.com> - 2013.2.1-4
- Don't allow qpid receiving thread to die, bz#1054249

* Tue Jan 14 2014 Terry Wilson <twilson@redhat.com> - 2013.2.1-3
- Add a more verbose error message to db-check, bz#1046087

* Fri Dec 27 2013 Terry Wilson <twilson@redhat.com> - 2013.2.1-2
- Add rootwrap.conf limitation to sudoers.d/neutron, bz#1039528

* Mon Dec 23 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2.1-1
- Update to Havana stable release 2013.2.1 - rhbz#1045419
- Remove dnsmasq version warning - rhbz#1040196

* Mon Dec 16 2013 Terry Wilson <twilson@redhat.com> - 2013.2-16
- Ensure that disabled services are properly handled on upgrade, bz#1042987

* Tue Dec 10 2013 Jakub Libosvar <jlibosva@redhat.com> - 2013.2-15
- Check whether db needs to be upgraded (rhbz#1031801)

* Mon Dec  9 2013 Terry Wilson <twilson@redhat.com> - 2013.2-14
- Add vpnaas/fwaas configs to init scripts rhbz#1032450
- Fix qpid restart/reconnect issues rhbz#1038711

* Fri Dec  6 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-13
- Rotate log files by size rather than by age - rhbz#1027722

* Wed Dec 04 2013 Terry Wilson <twilson@redhat.com> - 2013.2-12
- Add missing debug and vpnaas rootwrap filters, bz#1034207

* Mon Dec 02 2013 Terry Wilson <twilson@redhat.com> - 2013.2-11
- Replace quantum references in neutron-dist.conf

* Tue Nov 19 2013 Alan Pevec <apevec@redhat.com> - 2013.2-10
- update webob dependency to 1.2 (rhbz#1031849)

* Mon Nov 18 2013 Jakub Libosvar <jlibosva@redhat.com> - 2013.2-9
- Set qpid_topology_version=2 in neutron-dist.conf (rhbz#1031025)

* Mon Nov 18 2013 Alan Pevec <apevec@redhat.com> - 2013.2-8
- move jinja2 dependency to the main package

* Wed Nov 13 2013 Terry Wilson <twilson@redhat.com> - 2013.2-7
- Add dnsmasq-utils dependency to openstack-neutron

* Wed Nov 13 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-6
- Fix jinja2 import in openstack-neutron-vpn-agent

* Thu Nov 07 2013 Terry Wilson <twilson@redhat.com> - 2013.2-5
- Update deps for python-{babel,keystoneclient,oslo-config}

* Wed Oct 30 2013 Terry Wilson <twilson@redaht.com> - 2013.2-4
- Better support for upgrading from grizzly to havana

* Thu Oct 24 2013 Terry Wilson <twilson@redhat.com> - 2013.2-3
- Fix previous neutron-ovs-cleanup fix

* Thu Oct 24 2013 Terry Wilson <twilson@redhat.com> - 2013.2-2
- Ensure that neutron-ovs-cleanup completes before exiting (rhbz#1010941)

* Fri Oct 18 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-1
- Update to havana GA

* Thu Oct 10 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.12.rc1
- Update to havana rc1

* Wed Oct  2 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.11.b3
- Add python-jinja2 requires to VPN agent
- Ad missing services for VPN and metering agent

* Thu Sep 26 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.10.b3
- Add support for neutron-dist.conf

* Tue Sep 17 2013 Pádraig Brady <pbrady@redhat.com> - 2013.2-0.9.b3
- Fix typo in openstack-neutron-meetering-agent package name
- Register all agent services with chkconfig during installation

* Mon Sep 09 2013 Terry Wilson <twilson@rehdat.com> - 2013.2-0.4.b3
- Update to havana milestone 3 release

* Mon Aug 19 2013 Lon Hohberger <lhh@redhat.com> - 2013.2-0.3.1.b2
- Remove amqplib and kombu requirements

* Thu Jul 25 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.3.b2
- Update to havana milestone 2 release
- Rename quantum to neutron

* Mon Jun 17 2013 Terry Wilson <twilson@redhat.com> - 2013.2-0.2.b1
- Update to havana milestone 1 release

* Fri Jun 07 2013 Terry Wilson <twilson@redhat.com> - 2013.1.2-1
- Update to grizzly 2013.1.2 release

* Sun May 26 2013 Gary Kotton <gkotton@redhat.com> - 2013.1.1-6
- Fixes rootwarp path

* Fri May 24 2013 Pádraig Brady <P@draigBrady.com> - 2013.1.1-5
- Fix inclusion of db migrations

* Wed May 22 2013 Gary Kotton <gkotton@redhat.com> - 2013.1.1-3
- Updates to work with namespaces
- Fix kill-metadata rootwrap filter

* Mon May 13 2013 Gary Kotton <gkotton@redhat.com> - 2013.1.1-2
- Update to grizzly stable release 2013.1.1
- Update install scripts to configure security groups
- Update install scripts to remove virtual interface configurations

* Mon Apr 29 2013 Pádraig Brady <pbrady@redhat.com> 2013.1-3
- Fix quantum-ovs-cleanup.init to reference the correct config files

* Thu Apr  4 2013 Gary Kotton <gkotton@redhat.com> - 2013.1-1
- Update to grizzly release

* Thu Apr  4 2013 Gary Kotton <gkotton@redhat.com> - 2013.1-0.7.rc3
- Update to grizzly rc3
- Update rootwrap (bug 947793)
- Update l3-agent-setup to support qpid (bug 947532)
- Update l3-agent-setup to support metadata-agent credentials
- Update keystone authentication details (bug 947776)

* Tue Mar 26 2013 Terry Wilson <twilson@redhat.com> - 2013.1-0.6.rc2
- Update to grizzly rc2

* Tue Mar 12 2013 Pádraig Brady <P@draigBrady.Com> - 2013.1-0.5.g3
- Relax the dependency requirements on sqlalchemy

* Mon Feb 25 2013 Robert Kukura <rkukura@redhat.com> - 2013.1-0.4.g3
- Update to grizzly milestone 3
- Add brocade, hyperv, midonet, and plumgrid plugins as sub-packages
- Remove cisco files that were eliminated
- Add quantum-check-nvp-config
- Include patch for https://code.launchpad.net/bugs/1132889
- Require python-oslo-config
- Require compatible version of python-sqlalchemy
- Various spec file improvements

* Thu Feb 14 2013 Robert Kukura <rkukura@redhat.com> - 2013.1-0.3.g2
- Update to grizzly milestone 2
- Add quantum-db-manage, quantum-metadata-agent,
  quantum-ns-metadata-proxy, quantum-ovs-cleanup, and
  quantum-usage-audit executables
- Add systemd units for quantum-metadata-agent and quantum-ovs-cleanup
- Fix /etc/quantum/policy.json permissions (bug 877600)
- Require dnsmasq (bug 890041)
- Add the version info file
- Remove python-lxml dependency
- Add python-alembic dependency

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2013.1-0.2.g1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 23 2013 Martin Magr <mmagr@redhat.com> - 2012.2.1-1
- Added python-keystone requirement

* Wed Dec  5 2012 Robert Kukura <rkukura@redhat.com> - 2013.1-0.1.g1
- Update to grizzly milestone 1
- Require python-quantumclient >= 1:2.1.10
- Remove unneeded rpc control_exchange patch
- Add bigswitch plugin as sub-package
- Work around bigswitch conf file missing from setup.py

* Mon Dec  3 2012 Robert Kukura <rkukura@redhat.com> - 2012.2.1-1
- Update to folsom stable 2012.2.1
- Add upstream patch: Fix rpc control_exchange regression.
- Remove workaround for missing l3_agent.ini

* Thu Nov 01 2012 Alan Pevec <apevec@redhat.com> 2012.2-2
- l3_agent not disabling namespace use lp#1060559

* Fri Sep 28 2012 Robert Kukura <rkukura@redhat.com> - 2012.2-1
- Update to folsom final
- Require python-quantumclient >= 1:2.1.1

* Tue Aug 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-8
- fix database config generated by install scripts (#847785)

* Wed Jul 25 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-6
- Update to 20120715 essex stable branch snapshot

* Mon May 28 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-5
- Fix helper scripts to use the always available openstack-config util

* Mon May 07 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-4
- Fix handling of the mysql service in quantum-server-setup

* Tue May 01 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-3
- Start the services later in the boot sequence

* Wed Apr 25 2012 Pádraig Brady <P@draigBrady.com> - 2012.1-2
- Use parallel installed versions of python-routes and python-paste-deploy

* Thu Apr 12 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-1
- Initial essex release
